URISyntax (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.attribute
Class URISyntax

    java.lang.Object
      |
      +--javax.print.attribute.URISyntax

All Implemented Interfaces:
  Cloneable, Serializable

Direct Known Subclasses:
  Destination, PrinterMoreInfo, PrinterMoreInfoManufacturer, PrinterURI

public abstract class URISyntax
extends Object
implements Serializable, Cloneable

Class URISyntax is an abstract base class providing the common implementation of all attributes whose value is a Uniform Resource Identifier (URI). Once constructed, a URI attribute's value is immutable.

See Also:
  Serialized Form

Constructor Summary
`protected` | `URISyntax(URI uri)` Constructs a URI attribute with the specified URI.

Method Summary
`boolean` | `equals(Object object)` Returns whether this URI attribute is equivalent to the passed in object.
`URI` | `getURI()` Returns this URI attribute's URI value.
`int` | `hashCode()` Returns a hashcode for this URI attribute.
`String` | `toString()` Returns a String identifying this URI attribute.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URISyntax

    protected URISyntax(URI uri)

  Constructs a URI attribute with the specified URI.

Parameters:
  `uri` - URI.
Throws:
  `NullPointerException` - (unchecked exception) Thrown if `uri` is null.

Method Detail

### getURI

    public URI getURI()

  Returns this URI attribute's URI value.

  Returns:
    the URI.

### hashCode

    public int hashCode()

  Returns a hashcode for this URI attribute.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    A hashcode value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### equals

    public boolean equals(Object object)

  Returns whether this URI attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
  1. `object` is not null.
  2. `object` is an instance of class URISyntax.
  3. This URI attribute's underlying URI and `object`'s underlying URI are equal.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `object` - Object to compare to.
  Returns:
    True if `object` is equivalent to this URI attribute, false otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### toString

    public String toString()

  Returns a String identifying this URI attribute. The String is the string representation of the attribute's underlying URI.

  Overrides:
    `toString` in class `Object`
  Returns:
    A String identifying this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.